# \nwtnRespimgCaptureRequest

Extension of PHP PhantomJs Request class by Jon Wenmoth <contact@jonnyw.me>

Extends the normal request to pass information relevant to rendering/saving an SVG.

## Summary

Methods
Properties
Constants
getHeight()
getRasterFile()
getSVG()
getWidth()
setHeight()
setRasterFile()
setSVG()
setWidth()
No public properties found
No constants found
No protected methods found
$rasterFile
$width
$height
$svgdata
N/A
No private methods found
No private properties found
N/A

File
  Respimg.php
Package
  Default
Class hierarchy
  \JonnyW\PhantomJs\Message\Request
  \nwtn\RespimgCaptureRequest

## Tags

author | David Newton david@davidnewton.ca
copyright | 2015 David Newton
license | https://raw.githubusercontent.com/nwtn/php-respimg/master/LICENSE MIT
version |

## Properties

### $rasterFile

    $rasterFile : string

Path/filename of output image

#### Type

string

#

## Tags

None found

### $width

    $width : integer

Width of PNG output

#### Type

integer

#

## Tags

None found

### $height

    $height : integer

Height of PNG output

#### Type

integer

#

## Tags

None found

### $svgdata

    $svgdata : string

SVG data

#### Type

string

#

## Tags

None found

## Methods

### getHeight()

    getHeight() : integer

Get height.

#### Returns

integer

#

## Tags

None found

### getRasterFile()

    getRasterFile() : string

Get the path/filename of the output PNG

#### Returns

string

#

## Tags

None found

### getSVG()

    getSVG() : string

Get SVG data.

#### Returns

string

#

## Tags

None found

### getWidth()

    getWidth() : integer

Get width.

#### Returns

integer

#

## Tags

None found

### setHeight()

    setHeight(integer  $height) : \JonnyW\PhantomJs\Message\AbstractRequest

Set height.

#### Parameters

integer | $height | Height

#### Returns

\JonnyW\PhantomJs\Message\AbstractRequest

#

## Tags

None found

### setRasterFile()

    setRasterFile(string  $file) : \JonnyW\PhantomJs\Message\CaptureRequest

Set the path/filename of the output PNG

#### Parameters

string | $file | The path/filename

#### Throws

\JonnyW\PhantomJs\Exception\NotWritableException

#### Returns

\JonnyW\PhantomJs\Message\CaptureRequest

#

## Tags

None found

### setSVG()

    setSVG(string  $svgdata) : string

Set SVG data

This sets the base64-encoded SVG data, which will be used to build a data URI.

#### Parameters

string | $svgdata | base64-encoded SVG data

#### Returns

string

#

## Tags

None found

### setWidth()

    setWidth(integer  $width) : \JonnyW\PhantomJs\Message\AbstractRequest

Set width.

#### Parameters

integer | $width | Width

#### Returns

\JonnyW\PhantomJs\Message\AbstractRequest

#

## Tags

None found

### Respimg.php